LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSVGPrinter Interface Referencepublished

`import"XSVGPrinter.idl";`

Inheritance diagram for XSVGPrinter:

## Public Member Functions
boolean | startJob ([in] com::sun::star::xml::sax::XDocumentHandler aHandler, [in] sequence< byte > aJobSetup, [in] string aJobName, [in] unsigned long nCopies, [in] boolean bCollate)
void | printPage ([in] sequence< byte > aPrintPage)
void | endJob ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## ◆ endJob()

void endJob | ( |  | ) |

## ◆ printPage()

void printPage | ( | [in] sequence< byte > | aPrintPage | ) |

## ◆ startJob()

boolean startJob | ( | [in] com::sun::star::xml::sax::XDocumentHandler | aHandler,
|  | [in] sequence< byte > | aJobSetup,
|  | [in] string | aJobName,
|  | [in] unsigned long | nCopies,
|  | [in] boolean | bCollate
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/svg/XSVGPrinter.idl